#!/usr/bin/env bash
###############################################################################
#
# Bash Remediation Script for Open Computing Information Security Profile for OpenShift Node
#
# Profile Description:
# This baseline was inspired by the Center for Internet Security
# (CIS) Kubernetes Benchmark, v1.2.0 - 01-31-2017.
# For the ComplianceAsCode project to remain in compliance with
# CIS' terms and conditions, specifically Restrictions(8), note
# there is no representation or claim that the OpenCIS profile will
# ensure a system is in compliance or consistency with the CIS
# baseline.
#
# Profile ID:  opencis-node
# Benchmark ID:  OCP-4
# Benchmark Version:  0.1.49
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.3.6 using:
# $ oscap xccdf generate fix --profile opencis-node --fix-type bash xccdf-file.xml
#
# This Bash Remediation Script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this Bash Remediation Script:
# $ sudo ./remediation-script.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 1) for 'file_permissions_node_config'
###############################################################################
(>&2 echo "Remediating rule 1/1: 'file_permissions_node_config'")

chmod 0600 /etc/origin/node/node-config.yaml

# END fix for 'file_permissions_node_config'

